com.fasterxml.jackson.dataformat.protobuf.schema

## Class FileDescriptorSet.DescriptorProto

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.DescriptorProto

- Enclosing class:
    FileDescriptorSet

      public static class FileDescriptorSet.DescriptorProto
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FileDescriptorSet.EnumDescriptorProto[]` | `enum_type`
    `FileDescriptorSet.FieldDescriptorProto[]` | `extension`
    `com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.DescriptorProto.ExtensionRange[]` | `extension_range`
    `FileDescriptorSet.FieldDescriptorProto[]` | `field`
    `String` | `name`
    `FileDescriptorSet.DescriptorProto[]` | `nested_type`
    `FileDescriptorSet.OneofDescriptorProto[]` | `oneof_decl`
    `FileDescriptorSet.MessageOptions` | `options`
    `String[]` | `reserved_name`
    `com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.DescriptorProto.ReservedRange[]` | `reserved_range`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDescriptorSet.DescriptorProto()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.squareup.protoparser.MessageElement` | `buildMessageElement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### field

          public FileDescriptorSet.FieldDescriptorProto[] field

    - #### extension

          public FileDescriptorSet.FieldDescriptorProto[] extension

    - #### nested_type

          public FileDescriptorSet.DescriptorProto[] nested_type

    - #### enum_type

          public FileDescriptorSet.EnumDescriptorProto[] enum_type

    - #### extension_range

          public com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.DescriptorProto.ExtensionRange[] extension_range

    - #### oneof_decl

          public FileDescriptorSet.OneofDescriptorProto[] oneof_decl

    - #### options

          public FileDescriptorSet.MessageOptions options

    - #### reserved_range

          public com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.DescriptorProto.ReservedRange[] reserved_range

    - #### reserved_name

          public String[] reserved_name

  - ### Constructor Detail

    - #### FileDescriptorSet.DescriptorProto

          public FileDescriptorSet.DescriptorProto()

  - ### Method Detail

    - #### buildMessageElement

          public com.squareup.protoparser.MessageElement buildMessageElement()

Copyright © 2017 FasterXML. All rights reserved.